#
# spec file for package python-unittest2pytest
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-unittest2pytest
Version:        0.4
Release:        1.14
Summary:        Convert unittest test-cases to pytest
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/pytest-dev/unittest2pytest
Source:         https://files.pythonhosted.org/packages/source/u/unittest2pytest/unittest2pytest-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
Convert unittest test-cases to pytest.

%prep
%setup -q -n unittest2pytest-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/unittest2pytest
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative unittest2pytest

%postun
%python_uninstall_alternative unittest2pytest

%check
%pytest

%files %{python_files}
%doc AUTHORS.txt CHANGES.rst README.rst
%license COPYING-GPLv3.txt
%python_alternative %{_bindir}/unittest2pytest
%{python_sitelib}/*

%changelog
* Sun Aug 16 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.4
